<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:th="http://www.thymeleaf.org" lang="fr">
<head>
    <meta charset="utf-8"/>
    <title>Login</title>
    <link rel="stylesheet"  href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/css/bootstrap.min.css">
</head>
<body>
<br /><br />
<div class="container">
    <div class="row">
        <div class="col-md-6 offset-md-3">

            <div th:if="${param.error}">
                <div class="alert alert-danger">Invalide nom ou mot de passe</div>
            </div>
            <div th:if="${param.logout}">
                <div class="alert alert-success"> Vous avez êtes déconnecté.</div>
            </div>

            <div class="card">
                <div class="card-header">
                    <h2 class="text-center">Formulaire de connexion</h2>
                </div>
                <div class="card-body">
                    <form
                            method="post"
                            role="form"
                            th:action="@{/login}"
                            class="form-horizontal"
                    >
                        <div class="form-group mb-3">
                            <label class="control-label">Nom</label>
                            <input
                                    type="text"
                                    id="username"
                                    name="username"
                                    class="form-control"
                                    placeholder="Entrer votre nom"
                            />
                        </div>

                        <div class="form-group mb-3">
                            <label class="control-label"> Mot de passe</label>
                            <input
                                    type="password"
                                    id="password"
                                    name="password"
                                    class="form-control"
                                    placeholder="Entrer votre mot de passe"
                            />
                        </div>

                        <div class="form-group mb-3">
                            <button type="submit" class="btn btn-primary" style="background-color: #32CD32; border-color: #32CD32">Connexion</button>
                            <br>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>
</body>
</html>